<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once('../lib/gettext/gettext.inc');
include_once('../inc/config.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/func_log.inc.php');
if ((CheckURLLog(FALSE) == FALSE) OR (CheckNivLog('5-9') == FALSE)) {
    header('Location: ../index.php');
}
include_once('../inc/fic_int.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$td = $_GET['td'];
$coderech = $_GET['code'];

$pbm_clc = FALSE;

if ($coderech <> '') {
    $row = lit_enr_clc($coderech);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);
    } else {
        $pbm_clc = TRUE;
    }
} else {
    if ($td <> 'add') {
        $pbm_clc = TRUE;
    }
}

$titre ='';
if ($pbm_clc == FALSE) {
    switch ($td) {
        case 'add' :
            $titre = _('CREATION CHAMP CHECK-LIST');
            break;
        case 'edit' :
            $titre = _('MISE A JOUR CHAMP CHECK-LIST');
            break;
        case 'del' :
            $titre = _('SUPPRESSION CHAMP CHECK-LIST');
            break;
        default :
            $pbm_clc = TRUE;
            break;
    }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="Content-type=" content="text/html; charset=utf-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche champ check-list'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script language="javascript">
        <!--
        var tab_champ = ["nom:code ; format:alphanum ; req:Y ; txt:<?php echo _('Code'); ?> ; lmn:1 ; lmx:5; stok:frmok ; stbad:frmbad",
            "nom:desc ; format:txt ; req:Y ; txt:<?php echo _('Libellé'); ?>; lmn:1 ; lmx:50; stok:frmok ; stbad:frmbad"];
        //-->
    </script>

    <?php if ($pbm_clc == FALSE) { ?>
        <script type="text/javascript">
            <!--
            function init_all() {
                init_Body();
                <?php
                 switch ($td)
                 {
                    case 'add' :
                        echo "init_valid_form('enr','clc_maj','".valsession('date_fmtshort')."',tab_champ,'','');";
                        break;
                    case 'edit' :
                        echo "init_valid_form('enr','clc_maj','".valsession('date_fmtshort')."',tab_champ,'','');";
                        break;
                    case 'view' :
                        echo 'readonly_all();';
                        break;
                    case 'del' :
                        echo 'readonly_all();';
                        echo "warn_del('');";
                        break;
                 }
                ?>
                Focus_first();
            }

            $(document).ready(function () {
                init_all();
            });
            //-->
        </script>
    <?php } ?>
</head>

<body>
<?php
include_once('../inc/entete.inc.php');
if ($pbm_clc == FALSE) {
    cre_ent_form($titre, 'clc_lst.php', $_SERVER['HTTP_REFERER'], '');
    ?>
    <form name="clc_maj" method="post" id="clc_maj" action="clc_enr.php">
        <input name="titre" type="hidden" id="titre" value="<?php echo $titre ?>">
        <input name="td" type="hidden" id="td" value="<?php echo $td ?>">
        <input name="nbutton" type="hidden" id="nbutton" value="">

        <div align="center">
            <table width="80%" border="0">
                <tr>
                    <td width="10%" class="rubfrm" id="f_code"><?php echo _('Code'); ?></td>
                    <td width="47%">
                        <?php if ($td == 'add') { ?>
                            <input name="code" type="text" id="code" value="<?php echo $clc_code ?>" size="5">
                            <img src="../img/oblig.png" align="absmiddle" alt="<?php echo _('Champ obligatoire'); ?>">
                        <?php } else { ?>
                        <input name="code" type="text" id="code" value="<?php echo $clc_code ?>" size="5" readonly="1">
                    </td>
                    <?php } ?>
                </tr>
                <tr>
                    <td class="rubfrm" id="f_desc"><?php echo _('Libellé'); ?></td>
                    <td><input name="desc" type="text" id="desc" value="<?php echo $clc_desc; ?>" size="50">
                        <img src="../img/oblig.png" align="absmiddle" alt="<?php echo _('Champ obligatoire'); ?>"></td>
                </tr>
                <tr>
                    <td class="rubfrm" align="center" colspan="2">
                        Choix possibles
                    </td>
                </tr>
                <tr>
                    <td class="annot_petit_it" align="center" colspan="2">
                        <?php echo _("Si la case est cochée, le choix sera possible lors de l'affichage de la check-list lorsque sera
                        demandé si le travail a été effectué en affichant ce champ"); ?>
                    </td>
                </tr>
                <tr>
                    <td class="annot_petit_it" align="center" colspan="2">
                        <table width="80%" border="0">
                            <tr>
                                <td class="annot_gras_it" align="center" width="33%">
                                    <?php echo _('Sans Objet'); ?>
                                </td>
                                <td class="annot_gras_it" align="center" width="33%">
                                    <?php echo _('Oui'); ?>
                                </td>
                                <td class="annot_gras_it" align="center">
                                    <?php echo _('Non'); ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="annot_gras_it" align="center" width="33%">
                                    <?php
                                    echo '<input type="checkbox" name="so" id ="so" value="1"';
                                    if ($clc_so == TRUE) {
                                        echo ' checked="checked"';
                                    }
                                    echo '>';
                                    ?>
                                </td>
                                <td class="annot_gras_it" align="center" width="33%">
                                    <?php
                                    echo '<input type="checkbox" name="oui" id ="oui" value="1"';
                                    if ($clc_oui == TRUE) {
                                        echo ' checked="checked"';
                                    }
                                    echo '>';
                                    ?>
                                </td>
                                <td class="annot_gras_it" align="center">
                                    <?php
                                    echo '<input type="checkbox" name="non" id ="non" value="1"';
                                    if ($clc_non == TRUE) {
                                        echo ' checked="checked"';
                                    }
                                    echo '>';
                                    ?>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </div>
        <p align="center">
            <?php
            switch ($td) {
                case 'add' :
                case 'edit' :
                    echo '<input name="RAZ" type="reset" class="bton_std" id="RAZ" value="' . _('Réinitialiser') . '">';
                    echo '<input name="enr" type="button" class="bton_std" id="enr" value="' . _('Enregistrer') . '">';
                    break;
                case 'del' :
                    echo '<input name="del" type="submit" class="bton_std" id="del" value="' . _('Supprimer') . '">';
                    break;
            }
            ?>
        </p>
    </form>
    <?php
} else {
    pop_ret_auto(_('Problème de paramètres'), 'warn', 'clc_lst.php');
}
include_once('pied.php');
?>
</body>
</html>